package com.sw.config;

import org.apache.http.HttpHost;
import org.elasticsearch.client.Node;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestClientBuilder;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.net.InetAddress;

/**
 * @author yegang
 * @create 2022-03-09 15:09
 * es 配置
 **/
@Configuration
public class EsConfig {
    @Bean
    RestHighLevelClient restHighLevelClient (){
        HttpHost httpHost = new HttpHost("192.168.20.85", 9200, "http");
        RestClientBuilder restClientBuilder = RestClient.builder(new Node(httpHost));
        RestHighLevelClient restHighLevelClient = new RestHighLevelClient(restClientBuilder);
        return restHighLevelClient;
    }
}
